package com.zy.bms.config.interceptor;

import com.zy.bms.manager.SessionManager;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.handler.HandlerInterceptorAdapter;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * 运营后台
 * 登录权限验证拦截器
 *
 * @author chenyi
 * Create on 2019/10/10
 */
@Component
public class OperateAuthInterceptor extends HandlerInterceptorAdapter {

    @Resource
    private SessionManager sessionManager;

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
        String channel = request.getHeader("channel");
        if ("bms".equals(channel) && sessionManager.valid(request.getHeader("token"))) return true;
        request.getRequestDispatcher("/bms/api/common/author.do").forward(request, response);
        return false;
    }
}
