package com.zy.bms.config.interceptor;

import org.springframework.stereotype.Component;
import org.springframework.web.servlet.handler.HandlerInterceptorAdapter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * 普适型微信小程序
 * 登录权限验证拦截器
 *
 * @author chenyi
 * Create on 2019/10/10
 */
@Component
public class UbiAppAuthInterceptor extends HandlerInterceptorAdapter {

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
        String channel = request.getHeader("channel");
        if (channel.equals("ubi-app") && request.getHeader("app_user") != null) return true;
        request.getRequestDispatcher("/bms/api/common/author.do").forward(request, response);
        return false;
    }
}
