package com.zy.bms.controller;

import com.zy.bms.common.ServerResponse;
import com.zy.bms.pojo.io.LogsIO;
import com.zy.bms.service.IInstructionsService;
import com.zy.bms.service.ILogsService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 消息日志 控制层
 *
 * @author yang xiao kun
 * create on 2021/7/29
 */
@RestController
@RequestMapping("/bms/api/operate/logs")
public class LogsController {

    @Resource
    private ILogsService logsService;
    @Resource
    private IInstructionsService instructionsService;

    /**
     * 分页查询日志
     */
    @PostMapping("listPage.do")
    public ServerResponse listPage(LogsIO io) {
        return ServerResponse.success(logsService.listPage(io));
    }

    /**
     * 获取全部的指令
     */
    @GetMapping("getAllInstruction.do")
    public ServerResponse getAllInstruction() {
        return ServerResponse.success(instructionsService.list());
    }
}
