package com.zy.bms.controller;

import com.zy.bms.common.ServerResponse;
import com.zy.bms.entity.PrivilegeApplyRecord;
import com.zy.bms.pojo.io.PrivilegeApplyIO;
import com.zy.bms.service.IPrivilegeApplyRecordService;
import com.zy.bms.service.IUserPrivilegeService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.time.LocalDateTime;

/**
 * 权限申请记录 前端控制器
 *
 * @author chenyi
 * @since 2021-07-12
 */
@RestController
@RequestMapping("/bms/api/operate/privilegeApply")
public class PrivilegeApplyController extends BaseController {

    @Resource
    private IPrivilegeApplyRecordService privilegeApplyRecordService;

    @Resource
    private IUserPrivilegeService userPrivilegeService;

    /**
     * 分页查询
     */
    @GetMapping("listPage.do")
    public ServerResponse listPage(PrivilegeApplyIO io) {
        return ServerResponse.success(privilegeApplyRecordService.listPage(io));
    }

    /**
     * 获取用户未有权限的设备组
     */
    @GetMapping("getNoPrivGroups.do")
    public ServerResponse getNoPrivGroups() {
        return ServerResponse.success(userPrivilegeService.getGroupByUserId(userId()));
    }

    /**
     * 审核
     */
    @PostMapping("audit.do")
    public ServerResponse audit(PrivilegeApplyRecord entity, String[] groups) {
        //审核时间
        entity.setAuditTime(LocalDateTime.now());
        //保存有权限的设备组
        if (entity.getStatus() != null && entity.getStatus() == 1) userPrivilegeService.saveBatch(userId(), groups);
        //更新申请记录
        privilegeApplyRecordService.updateById(entity);
        return ServerResponse.success();
    }
}
