package com.zy.bms.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.zy.bms.common.ServerResponse;
import com.zy.bms.entity.User;
import com.zy.bms.pojo.io.UserIO;
import com.zy.bms.service.IUserService;
import com.zy.bms.utils.AesUtil;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 用户表 前端控制器
 *
 * @author yangxiaokun
 * @since 2021-06-03
 */
@RestController
@RequestMapping("/bms/api/operate/user")
public class UserController {
    @Resource
    private IUserService userService;

    /**
     * 微信登录
     *
     * @return 用户 加密openId
     */
    @PostMapping("login.do")
    public ServerResponse login(String code) {
        String openId = userService.getWxAppId(code);
        if (openId == null) return ServerResponse.error();
        //保存新用户
        if (userService.getOne(new QueryWrapper<User>().eq("open_id", openId)) == null) {
            User user = new User();
            user.setOpenId(openId);
            userService.save(user);
        }
        return ServerResponse.success(AesUtil.encrypt(openId));
    }

    /**
     * 分页查询用户列表
     */
    @GetMapping("listPage.do")
    public ServerResponse listPage(UserIO io) {
        return ServerResponse.success(userService.listPage(io));
    }
}
