package com.zy.bms.controller.ubi;

import com.zy.bms.common.ServerResponse;
import com.zy.bms.entity.ubi.UbiNtrip;
import com.zy.bms.service.ubi.IUbiNtripService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * 数据链路设置信息 前端控制器
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@RestController
@RequestMapping("/bms/api/operate/ntrip")
public class UbiNtripController {
    @Resource
    private IUbiNtripService ntripSetService;

    /**
     * 通过设备码查询数据链路设置
     *
     * @param openNum 设备码
     */
    @GetMapping("listByOpenNum.do")
    public ServerResponse getByOpenNum(String openNum) {
        return ServerResponse.success(ntripSetService.listByOpenNum(openNum));
    }

    /**
     * 更新数据链路设置
     */
    @PostMapping("update.do")
    public ServerResponse updateById(UbiNtrip entity) {
        return ServerResponse.success(ntripSetService.updateById(entity));
    }
}
