package com.zy.bms.controller.ubi;

import com.zy.bms.common.ServerResponse;
import com.zy.bms.entity.ubi.UbiTcp;
import com.zy.bms.service.ubi.IUbiTcpService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * TCP链路设置 前端控制器
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@RestController
@RequestMapping("/bms/api/operate/tcp")
public class UbiTcpController {
    @Resource
    private IUbiTcpService tcpSetService;

    /**
     * 通过设备码查询TCP设置
     *
     * @param openNum 设备码
     */
    @GetMapping("listByOpenNum.do")
    public ServerResponse listByOpenNum(String openNum) {
        return ServerResponse.success(tcpSetService.listByOpenNum(openNum));
    }

    /**
     * 更新 TCP 数据链路设置
     */
    @PostMapping("update.do")
    public ServerResponse updateById(UbiTcp entity) {
        return ServerResponse.success(tcpSetService.updateById(entity));
    }
}
