package com.zy.bms.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zy.bms.entity.Admin;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zy.bms.pojo.io.AdminIO;
import com.zy.bms.pojo.vo.AdminListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 管理员表 Mapper 接口
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-03
 */
@Mapper
@Repository
public interface AdminMapper extends BaseMapper<Admin> {
    /**
     * 分页查询管理员
     */
    IPage<AdminListVo> listPage(Page<AdminListVo> page, @Param("io") AdminIO io);

    /**
     * 检查重复
     *
     * @param username 用户名
     */
    Integer checkRepeat(@Param("username") String username);
}
