package com.zy.bms.mapper;

import com.zy.bms.entity.DeviceBase;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 设备静态信息 Mapper 接口
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@Mapper
@Repository
public interface DeviceBaseMapper extends BaseMapper<DeviceBase> {

    /**
     * 检查设备码是否存在
     *
     * @param openNum 设备码
     */
    int checkOpenNum(@Param("openNum") String openNum);

    /**
     * 通过设备组查询类型
     *
     * @param groupId 设备组
     */
    String getTypeByGroupId(String groupId);
}
