package com.zy.bms.pojo.io;

import lombok.Data;

/**
 * 分页参数封装类,其他入参类继承此类
 * 默认第一页,每页20条
 *
 * @author yang xiao kun
 * create on 2021/2/18
 */
@Data
public class PageIO {
    /**
     * 每页大小
     */
    Integer size;
    /**
     * 当前页码
     */
    Integer current;
    /**
     * 排序字段
     */
    String orderBy;
    /**
     * 排序规则
     */
    String order;

    public PageIO() {
        this.current = 1;
        this.size = 20;
        this.order = "DESC";
    }
}
