package com.zy.bms.pojo.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.zy.bms.entity.ubi.UbiNtrip;
import com.zy.bms.entity.ubi.UbiTcp;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 普适性
 * 设备基础信息,状态信息Vo
 *
 * @author yang xiao kun
 * create on 2021/5/12
 */
@Data
public class UbiDeviceDetailVo {

    /**
     * 设备随机码
     */
    private String openNum;

    /**
     * 数据发送频率
     */
    private Integer freq;

    /**
     * 电压
     */
    private Integer powerVolt;

    /**
     * 信号强度
     */
    private Integer signal4g;

    /**
     * 卫星颗数
     */
    private Integer satNum;

    /**
     * 软件版本号
     */
    private String version;

    /**
     * 经度
     */
    @JSONField(format = "#.######")
    private Double lat;

    /**
     * 纬度
     */
    @JSONField(format = "#.######")
    private Double lon;

    /**
     * 经度
     */
    @JSONField(format = "#.######")
    private Double latGcj;

    /**
     * 纬度
     */
    @JSONField(format = "#.######")
    private Double lonGcj;

    /**
     * 数据更新时间
     */
    private LocalDateTime updateTime;

    /**
     * ntrip 链路设置
     */
    List<UbiNtrip> ubiNtripList;
    /**
     * TCP 链路设置
     */
    List<UbiTcp> ubiTcpList;

    public Integer getStatus() {
        if (updateTime == null || freq == null) return 0;
        return LocalDateTime.now().isAfter(updateTime.plusSeconds(freq + 500)) ? 0 : 1;
    }
}
