package com.zy.bms.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zy.bms.entity.Admin;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zy.bms.pojo.io.AdminIO;
import com.zy.bms.pojo.vo.AdminListVo;

/**
 * <p>
 * 管理员表 服务类
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-03
 */
public interface IAdminService extends IService<Admin> {
    /**
     * 分页查询管理员列表
     */
    IPage<AdminListVo> listPage(AdminIO io);

    /**
     * 通过用户名查询用户
     *
     * @param username 用户名
     */
    Admin getByUsername(String username);

    /**
     * 检查重复
     *
     * @param username 用户名
     */
    boolean checkRepeat(String username);
}
