package com.zy.bms.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zy.bms.entity.Group;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zy.bms.pojo.io.GroupIO;
import com.zy.bms.pojo.vo.GroupListVo;

import java.util.List;

/**
 * <p>
 * 项目组 服务类
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-03
 */
public interface IGroupService extends IService<Group> {
    /**
     * 分页查询
     *
     * @param io 查询条件
     */
    IPage<GroupListVo> listPage(GroupIO io);


    /**
     * 获取全部的设备组
     */
    List<GroupListVo> getAllList();

    /**
     * 通过userId 查询设备组
     *
     * @param userId 用户ID
     */
    List<Group> getByUserId(Integer userId);
}
