package com.zy.bms.service;

import com.zy.bms.entity.DeviceBase;
import com.zy.bms.pojo.dto.WakeAndThreshLpDTO;
import com.zy.bms.pojo.io.set.SetIO;

/**
 * 向设备发送协议消息 服务类
 *
 * @author yangxiaokun
 * @since 2021-06-03
 */
public interface IPostMqttMsgService {

    /**
     * 发送设置指令
     *
     * @param io 设置参数
     */
    void set(SetIO io);

    /**
     * 处理设备注册请求
     * 返回登录密码
     *
     * @param device 设备信息
     */
    void handleRegister(DeviceBase device);

    /**
     * 路牌
     * 更新唤醒时间和阈值
     */
    void setWakeAndThreshLp(WakeAndThreshLpDTO dto);

    /**
     * 普适性
     * 获取设备本地设置
     *
     * @param openNum 设备码
     */
    void requestLocalSetUbi(String openNum);

    /**
     * 普适性
     * 服务器主动请求获取心跳包
     *
     * @param openNum 设备码
     */
    void requestHeartbeatUbi(String openNum);

    /**
     * 普适性
     * 服务器主动发送请求蜂鸣器
     *
     * @param openNum 设备码
     */
    void requestBuzzingUbi(String openNum);
}
