package com.zy.bms.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zy.bms.entity.Admin;
import com.zy.bms.mapper.AdminMapper;
import com.zy.bms.pojo.io.AdminIO;
import com.zy.bms.pojo.vo.AdminListVo;
import com.zy.bms.service.IAdminService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 管理员表 服务实现类
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-03
 */
@Service
public class AdminServiceImpl extends ServiceImpl<AdminMapper, Admin> implements IAdminService {

    @Override
    public IPage<AdminListVo> listPage(AdminIO io) {
        Page<AdminListVo> page = new Page<>(io.getCurrent(), io.getSize());
        return baseMapper.listPage(page, io);
    }

    @Override
    public Admin getByUsername(String username) {
        QueryWrapper<Admin> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("username", username);
        return baseMapper.selectOne(queryWrapper);
    }

    @Override
    public boolean checkRepeat(String username) {
        return baseMapper.checkRepeat(username) > 0;
    }
}
