package com.zy.bms.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.zy.bms.common.Constant;
import com.zy.bms.entity.DeviceBase;
import com.zy.bms.entity.lp.LpInfoState;
import com.zy.bms.mapper.DeviceBaseMapper;
import com.zy.bms.service.IDeviceBaseService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zy.bms.service.lp.ILpInfoStateService;
import com.zy.bms.service.ubi.IUbiInfoStateService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 设备静态信息 服务实现类
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@Service
public class DeviceBaseServiceImpl extends ServiceImpl<DeviceBaseMapper, DeviceBase> implements IDeviceBaseService {

    @Resource
    private IUbiInfoStateService ubiInfoStateService;

    @Resource
    private ILpInfoStateService lpInfoStateService;

    @Override
    public boolean checkOpenNum(String openNum) {
        return baseMapper.checkOpenNum(openNum) > 0;
    }

    @Override
    public List listByGroupIdWx(String groupId) {
        String type = baseMapper.getTypeByGroupId(groupId);
        switch (type) {
            case Constant.TYPE.UBI: {
                return ubiInfoStateService.listByGroupIdWx(groupId);
            }
            case Constant.TYPE.LP: {
                return lpInfoStateService.listByGroupIdWx(groupId);
            }
        }
        return null;
    }

    @Override
    public Object getDetailWx(String openNum) {
        String type = baseMapper.selectOne(new QueryWrapper<DeviceBase>().eq("open_num", openNum)).getType();
        switch (type) {
            case Constant.TYPE.UBI: {
                return ubiInfoStateService.getDetailWx(openNum);
            }
            case Constant.TYPE.LP: {
                return lpInfoStateService.getOne(new QueryWrapper<LpInfoState>().eq("open_num", openNum));
            }
        }
        return null;
    }
}
