package com.zy.bms.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zy.bms.entity.Group;
import com.zy.bms.mapper.GroupMapper;
import com.zy.bms.pojo.io.GroupIO;
import com.zy.bms.pojo.vo.GroupListVo;
import com.zy.bms.service.IGroupService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 项目组 服务实现类
 *
 * @author yangxiaokun
 * @since 2021-06-03
 */
@Service
public class GroupServiceImpl extends ServiceImpl<GroupMapper, Group> implements IGroupService {

    @Override
    public IPage<GroupListVo> listPage(GroupIO io) {
        Page<GroupListVo> page = new Page<>(io.getCurrent(), io.getSize());
        return baseMapper.listPage(page, io);
    }

    @Override
    public List<GroupListVo> getAllList() {
        return baseMapper.getAllList();
    }

    @Override
    public List<Group> getByUserId(Integer userId) {
        return baseMapper.getByUserId(userId);
    }
}
