package com.zy.bms.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zy.bms.common.Constant;
import com.zy.bms.entity.User;
import com.zy.bms.mapper.UserMapper;
import com.zy.bms.pojo.io.UserIO;
import com.zy.bms.service.IUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zy.bms.utils.HttpUtil;
import org.springframework.stereotype.Service;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;

/**
 * 用户表 服务实现类
 *
 * @author yangxiaokun
 * @since 2021-06-03
 */
@Service
public class UserServiceImpl extends ServiceImpl<UserMapper, User> implements IUserService {

    public String getWxAppId(String code) {
        try {
            // 请求参数
            MultiValueMap<String, String> paramsMap = new LinkedMultiValueMap<>();
            paramsMap.add("appid", Constant.WX.wxAppId);
            paramsMap.add("secret", Constant.WX.wxSecret);
            paramsMap.add("js_code", code);
            paramsMap.add("grant_type", Constant.WX.grant_type);
            String message = HttpUtil.post("https://api.weixin.qq.com/sns/jscode2session", null, paramsMap);
            return JSONObject.parseObject(message).getString("openid");
        } catch (Exception e) {
            return null;
        }
    }

    @Override
    public IPage<User> listPage(UserIO io) {
        Page<User> page = new Page<>(io.getCurrent(), io.getSize());
        return baseMapper.listPage(page, io);
    }
}
