package com.zy.bms.service.lp;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zy.bms.entity.lp.LpInfoState;
import com.zy.bms.pojo.io.DeviceIO;
import com.zy.bms.pojo.vo.LpDeviceListVo;

import java.util.List;

/**
 * 设备-路牌 服务类
 *
 * @author chenyi
 * @since 2021-06-22
 */
public interface ILpInfoStateService extends IService<LpInfoState> {

    /**
     * 分页查询设备列表
     *
     * @param io 查询条件
     */
    IPage<LpDeviceListVo> listPage(DeviceIO io);

    /**
     * 通过用户ID 查询用户设备
     *
     * @param userId 用户ID
     */
    List<LpInfoState> listByUserId(Integer userId);

    /**
     * 微信端
     * 通过设备组查询设备
     *
     * @param groupId 设备组
     */
    List<LpDeviceListVo> listByGroupIdWx(String groupId);

    /**
     * 通过设备ID获取设备信息
     *
     * @param openNum 设备ID
     */
    LpInfoState getByOpenNum(String openNum);

    /**
     * 更新唤醒时间和阈值
     *
     * @param entity 实体类
     */
    boolean updateWakeAndThresh(LpInfoState entity);
}
