package com.zy.bms.service.lp.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zy.bms.entity.lp.LpInfoState;
import com.zy.bms.mapper.lp.LpInfoStateMapper;
import com.zy.bms.pojo.io.DeviceIO;
import com.zy.bms.pojo.vo.LpDeviceListVo;
import com.zy.bms.service.IPostMqttMsgService;
import com.zy.bms.service.lp.ILpInfoStateService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 设备-路牌 服务实现类
 * </p>
 *
 * @author chenyi
 * @since 2021-06-22
 */
@Service
public class LpInfoStateServiceImpl extends ServiceImpl<LpInfoStateMapper, LpInfoState> implements ILpInfoStateService {

    @Resource
    private IPostMqttMsgService postMqttMsgService;

    @Override
    public IPage<LpDeviceListVo> listPage(DeviceIO io) {
        Page<LpDeviceListVo> page = new Page<>(io.getCurrent(), io.getSize());
        return baseMapper.listPage(page, io);
    }

    @Override
    public List<LpInfoState> listByUserId(Integer userId) {
        return baseMapper.listByUserId(userId);
    }

    @Override
    public List<LpDeviceListVo> listByGroupIdWx(String groupId) {
        return baseMapper.listByGroupIdWx(groupId);
    }

    @Override
    public LpInfoState getByOpenNum(String openNum) {
        return baseMapper.selectOne(new QueryWrapper<LpInfoState>().eq("open_num", openNum));
    }

    @Override
    public boolean updateWakeAndThresh(LpInfoState entity) {
        return baseMapper.updateWakeAndThresh(entity) > 0;
    }
}
