package com.zy.bms.service.ubi;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zy.bms.entity.ubi.UbiInfoState;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zy.bms.pojo.io.DeviceIO;
import com.zy.bms.pojo.io.PageIO;
import com.zy.bms.pojo.vo.UbiDeviceDetailVo;
import com.zy.bms.pojo.vo.UbiDeviceListVo;

import java.util.List;

/**
 * <p>
 * 设备动态信息表 服务类
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
public interface IUbiInfoStateService extends IService<UbiInfoState> {

    /**
     * 分页查询设备列表
     *
     * @param io 查询参数
     */
    IPage<UbiDeviceListVo> listPage(DeviceIO io);

    /**
     * 获取设备详情信息
     *
     * @param openNum 设备公开码
     */
    UbiDeviceDetailVo getDetail(String openNum);


    /**
     * 微信端
     * 通过设备组查询设备
     *
     * @param groupId 设备组
     */
    List<UbiDeviceListVo> listByGroupIdWx(String groupId);

    /**
     * 微信端
     * 获取设备详情信息
     *
     * @param openNum 设备公开码
     */
    UbiDeviceDetailVo getDetailWx(String openNum);

}
