package com.zy.bms.service.ubi;

import com.zy.bms.entity.ubi.UbiNtrip;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 数据链路设置信息 服务类
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
public interface IUbiNtripService extends IService<UbiNtrip> {
    int CLIENT = 0;
    int SERVER = 1;

    /**
     * 更新数据链路设置
     *
     * @param openNum 设备公开码
     * @param type    类型 0:client 1:server
     */
    void saveOrUpdateNtripSet(UbiNtrip ubiNtrip, String openNum, Integer type);

    /**
     * 通过设备码查询
     *
     * @param openNum 设备码
     */
    List<UbiNtrip> listByOpenNum(String openNum);
}
