package com.zy.bms.service.ubi;

import com.zy.bms.entity.ubi.UbiTcp;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * TCP链路设置 服务类
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
public interface IUbiTcpService extends IService<UbiTcp> {
    int LINK_1 = 1;
    int LINK_2 = 2;
    int LINK_3 = 3;

    /**
     * 更新或插入一条TCP链路设置
     *
     * @param entity  实体类
     * @param openNum 设备唯一码
     * @param link    TCP链路
     */
    void saveOrUpdateTcpSet(UbiTcp entity, String openNum, Integer link);

    /**
     * 通过设备ID 查询TCP设置
     */
    List<UbiTcp> listByOpenNum(String openNum);
}
