package com.zy.bms.service.ubi.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zy.bms.entity.ubi.UbiInfoState;
import com.zy.bms.mapper.ubi.UbiInfoStateMapper;
import com.zy.bms.pojo.io.DeviceIO;
import com.zy.bms.pojo.vo.UbiDeviceDetailVo;
import com.zy.bms.pojo.vo.UbiDeviceListVo;
import com.zy.bms.service.ubi.IUbiInfoStateService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zy.bms.service.ubi.IUbiNtripService;
import com.zy.bms.service.ubi.IUbiTcpService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 普适型
 * 设备动态信息表 服务实现类
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@Service
public class UbiInfoStateServiceImpl extends ServiceImpl<UbiInfoStateMapper, UbiInfoState> implements IUbiInfoStateService {

    @Resource
    private IUbiTcpService tcpSetService;
    @Resource
    private IUbiNtripService ntripSetService;

    @Override
    public IPage<UbiDeviceListVo> listPage(DeviceIO io) {
        Page<UbiDeviceListVo> page = new Page<>(io.getCurrent(), io.getSize());
        return baseMapper.listPage(page, io);
    }

    @Override
    public UbiDeviceDetailVo getDetail(String openNum) {
        UbiDeviceDetailVo result = baseMapper.getDetail(openNum);
        result.setUbiTcpList(tcpSetService.listByOpenNum(openNum));
        result.setUbiNtripList(ntripSetService.listByOpenNum(openNum));
        return result;
    }

    @Override
    public List<UbiDeviceListVo> listByGroupIdWx(String groupId) {
        return baseMapper.listByGroupIdWx(groupId);
    }

    @Override
    public UbiDeviceDetailVo getDetailWx(String openNum) {
        return baseMapper.getDetail(openNum);
    }

}
