package com.zy.bms.service.ubi.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.zy.bms.entity.ubi.UbiNtrip;
import com.zy.bms.mapper.ubi.UbiNtripMapper;
import com.zy.bms.service.ubi.IUbiNtripService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 数据链路设置信息 服务实现类
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@Service
public class UbiNtripServiceImpl extends ServiceImpl<UbiNtripMapper, UbiNtrip> implements IUbiNtripService {

    @Override
    public void saveOrUpdateNtripSet(UbiNtrip ubiNtrip, String openNum, Integer type) {
        UpdateWrapper<UbiNtrip> updateWrapper = new UpdateWrapper<>();
        updateWrapper.eq("open_num", openNum).eq("type", type);
        if (!update(ubiNtrip, updateWrapper)) {
            ubiNtrip.setOpenNum(openNum);
            ubiNtrip.setType(type);
            save(ubiNtrip);
        }
    }

    @Override
    public List<UbiNtrip> listByOpenNum(String openNum) {
        return baseMapper.selectList(new QueryWrapper<UbiNtrip>().eq("open_num", openNum));
    }
}
