package com.zy.bms.service.ubi.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.zy.bms.entity.ubi.UbiTcp;
import com.zy.bms.mapper.ubi.UbiTcpMapper;
import com.zy.bms.service.ubi.IUbiTcpService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * TCP链路设置 服务实现类
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@Service
public class UbiTcpServiceImpl extends ServiceImpl<UbiTcpMapper, UbiTcp> implements IUbiTcpService {

    @Override
    public void saveOrUpdateTcpSet(UbiTcp entity, String openNum, Integer link) {
        UpdateWrapper<UbiTcp> updateWrapper = new UpdateWrapper<>();
        updateWrapper.eq("open_num", openNum).eq("link", link);
        if (!update(entity, updateWrapper)) {
            entity.setOpenNum(openNum);
            entity.setLink(link);
            save(entity);
        }
    }

    @Override
    public List<UbiTcp> listByOpenNum(String openNum) {
        QueryWrapper<UbiTcp> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("open_num", openNum);
        return baseMapper.selectList(queryWrapper);
    }
}
