package com.zy.bms.utils;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

/**
 * 时间格式化工具类
 *
 * @author yang xiao kun
 * create on 2021/3/31
 */
public class DateTimeUtil {

    public static final String Pattern_YMDHMS = "yyyy-MM-dd HH:mm:ss";
    public static final String Pattern_YMDHMS2 = "yyyy-M-dd HH:mm:ss";
    public static final String Pattern_YDM = "yyyy-MM-dd";

    /**
     * 字符串转时间
     *
     * @param str 字符串
     */
    public static LocalDateTime strToTime(String str, String pattern) {
        return LocalDateTime.parse(str, DateTimeFormatter.ofPattern(pattern));
    }

    /**
     * 获取当前格式化的时间
     *
     * @param pattern 格式化规则
     */
    public static String now(String pattern) {
        return LocalDateTime.now().format(DateTimeFormatter.ofPattern(pattern));
    }
}
