package com.zy.bms.utils;

import java.util.UUID;

/**
 * 生成随机码
 *
 * @author yang xiao kun
 * create on 2021/1/15
 */
public class RandomCode {

    private static final String[] codeChars = {
            "0", "1", "2", "3", "4", "5", "6", "7", "8", "9",
            "a", "b", "c", "d", "e", "f", "g", "h", "i", "j",
            "k", "l", "m", "n", "o", "p", "q", "r", "s", "t",
            "u", "v", "w", "x", "y", "z", "A", "B", "C", "D",
            "E", "F", "G", "H", "I", "J", "K", "L", "M", "N",
            "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X",
            "Y", "Z"};

    /**
     * 生成短八位UUID随机码
     */
    public static String UUID_8() {
        StringBuilder stringBuilder = new StringBuilder();
        String uuid = UUID.randomUUID().toString().replace("-", "");
        for (int i = 0; i < 8; i++) {
            stringBuilder.append(codeChars[Integer.parseInt(uuid.substring(i * 4, i * 4 + 4), 16) % 0x3E]);
        }
        return stringBuilder.toString();
    }

    /**
     * 随机生成UUID
     * 小写,去掉 '-'
     */
    public static String UUID() {
        return UUID.randomUUID().toString().replace("-", "");
    }
}
